﻿@charset "UTF-8";

@media (min-width: 768px) {
    #search_suggest_area_ {
        width: 400px;
        position:absolute;
        display:flex;
        flex-direction: column;
        z-index:1000;
        text-align:left;
        background-color:#ffffff;
        border:solid 1px var(--g-form-border-color);
        padding:15px;
        gap: 15px 0;
        max-height: 50svh;
        overflow-y: scroll;
        overscroll-behavior: contain;
    }
    #search_suggest_area_ :is(#suggest_keyword_list_,#suggest_goods_list_){
        display: flex;
        flex-direction: column;
        gap: 15px 0;
    }
    #search_suggest_area_ .suggest_goods_comment_{
        font-size: 0.75rem;
    }
    #search_suggest_area_ :is(.suggest_goods_name_,.suggest_keyword_entry_){
        font-size: 0.875rem;
        font-weight: 500;
    }
    #search_suggest_area_ .suggest_goods_ {
        display: flex;
        align-items: stretch;
        gap: 0 10px;
    }
    #search_suggest_area_ .suggest_goods_img_ {
        width:60px;
        flex-shrink: 0;
    }
    #search_suggest_area_ .suggest_goods_img_ img {
        width:100%;
        height: auto;
    }
    #search_suggest_area_ :is(.suggest_keyword_,.suggest_goods_):hover  {
        opacity: 0.7;
        cursor: pointer;
    }
    #search_suggest_area_ .suggest_goods_price_wrapper_,
    #search_suggest_area_ .suggest-goods-info-wrapper{
        display: flex;
        flex-direction: column;
        gap: 4px 0;
    }
    #search_suggest_area_ .suggest-price_wrapper_{
        font-size: 0.75rem;
        &:where(.for-normal,.for-sale){
            font-weight: 600;
        }
        &.for-sale{
            color: var(--g-theme-color-quinary);
        }
        &.for-normal.g-price-wrapper-under-sale{
            font-weight: 400;
            font-size: 0.75rem;
            text-decoration: line-through;
        }
    }
    #search_suggest_area_ .suggest_goods_price_wrapper_ .tax{
        display: none;
    }
}

@media (max-width: 767.98px) {
    #search_suggest_area_ {
        width: calc(100vw - 60 / 750 * 100vw);
        position:absolute;
        display:flex;
        flex-direction: column;
        z-index:1000;
        text-align:left;
        background-color:#ffffff;
        border:solid 1px var(--g-form-border-color);
        padding:calc(15 / 375 * 100vw);
        gap: calc(15 / 375 * 100vw) 0;
        max-height: 50svh;
        overflow-y: scroll;
        overscroll-behavior: contain;
    }
    #search_suggest_area_ :is(#suggest_keyword_list_,#suggest_goods_list_){
        display: flex;
        flex-direction: column;
        gap: calc(15 / 375 * 100vw) 0;
    }
    #search_suggest_area_ .suggest_goods_comment_{
        font-size: 0.75rem;
    }
    #search_suggest_area_ :is(.suggest_goods_name_,.suggest_keyword_entry_){
        font-size: 0.875rem;
        font-weight: 500;
    }
    #search_suggest_area_ .suggest_goods_ {
        display: flex;
        align-items: stretch;
        gap: 0 calc(10 / 375 * 100vw);
    }
    #search_suggest_area_ .suggest_goods_img_ {
        width:calc(60 / 375 * 100vw);
        flex-shrink: 0;
    }
    #search_suggest_area_ .suggest_goods_img_ img {
        width:100%;
        height: auto;
    }
    #search_suggest_area_ :is(.suggest_keyword_,.suggest_goods_):hover  {
        opacity: 0.7;
        cursor: pointer;
    }
    #search_suggest_area_ .suggest_goods_price_wrapper_,
    #search_suggest_area_ .suggest-goods-info-wrapper{
        display: flex;
        flex-direction: column;
        gap: calc(4 / 375 * 100vw) 0;
    }
    #search_suggest_area_ .suggest-price_wrapper_{
        font-size: 0.75rem;
        &:where(.for-normal,.for-sale){
            font-weight: 600;
        }
        &.for-sale{
            color: var(--g-theme-color-quinary);
        }
        &.for-normal.g-price-wrapper-under-sale{
            font-weight: 400;
            font-size: 0.75rem;
            text-decoration: line-through;
        }
    }
    #search_suggest_area_ .suggest_goods_price_wrapper_ .tax{
        display: none;
    }
}